Compiling EtterCap in OSX 10.5

Discussion in 'macOS' started by DirkBreeuwer, Jul 25, 2009.

  1. DirkBreeuwer macrumors member

    Joined:
    Oct 22, 2008
    #1
    Hello, I am sure that this has been asked before, and I found one post on this forum asking the same question, but it was never answered.

    I am trying to compile Ettercap in my MBP on OSX 10.5.7.

    I've followed to procedures:


    Manual Compilation:
    Download ettercap-NG-0.7.3, but when I ./configure I get this errors at the end:
    Code:
    checking whether gcc accepts -pthread... no configure: 
    WARNING: *************************** configure: 
    WARNING: * PTHREAD ARE REQUIRED !! * configure: 
    WARNING: ***************************
    Fink method:
    Edit the fink.conf to add unstable sources
    Then I Update fink.
    Then "fink install ettercap", but :
    Code:
    Failed: no package found for specification 'ettercap'!
    I am not a Unix/Linux/Whatever whiz, and I don't know much about compiling packages, so I am probably missing something. Could someone point me out in the right direction? Is there a way to get Ettercap precompiled?

    Thanks,
    DB
     
  2. tekio macrumors regular

    Joined:
    May 31, 2009
  3. DirkBreeuwer thread starter macrumors member

    Joined:
    Oct 22, 2008
    #3
    Really!? Thank you very much man!

    I have ettercap-ng now installed, thanks again.
     
  4. Neo4 macrumors member

    Joined:
    Jun 9, 2010
    #4
    is it normal that macports is taking more than 2hrs to install the ettercap?!

    is has that much dependencies?
     
  5. Neo4 macrumors member

    Joined:
    Jun 9, 2010
    #5
    and now it gave me an error:
    Error: Target org.macports.build returned: shell command failed
    Log for ettercap-ng is at: /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_ports_net_ettercap-ng/main.log
    Error: Status 1 encountered during processing.
    To report a bug, see <http://guide.macports.org/#project.tickets>
    Executing: /opt/local/bin/port install ettercap-ng +universal +gtk +plugins


    and compiling it from source gives me this:
    WARNING: * PTHREAD ARE REQUIRED
     

Share This Page